Index: testsuites/psxtests/Makefile.am
===================================================================
--- testsuites/psxtests/Makefile.am	(revision 30f5272cdd2d7b44fc21375bcd2280546b32c5bc)
+++ testsuites/psxtests/Makefile.am	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
@@ -1611,4 +1611,8 @@
 	psxhdrs/arpa/inet/inet_ntoa.c \
 	psxhdrs/arpa/inet/inet_pton.c \
+	psxhdrs/syslog/closelog.c \
+	psxhdrs/syslog/openlog.c \
+	psxhdrs/syslog/setlogmask.c \
+	psxhdrs/syslog/syslog.c \
 	psxhdrs/wchar/btowc.c \
 	psxhdrs/wchar/fgetwc.c \
Index: testsuites/psxtests/psxhdrs/syslog/closelog.c
===================================================================
--- testsuites/psxtests/psxhdrs/syslog/closelog.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
+++ testsuites/psxtests/psxhdrs/syslog/closelog.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief closelog() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ * 
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <syslog.h>
+
+int test(void);
+
+int test(void)
+{
+  closelog();
+  return 0;
+}
Index: testsuites/psxtests/psxhdrs/syslog/openlog.c
===================================================================
--- testsuites/psxtests/psxhdrs/syslog/openlog.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
+++ testsuites/psxtests/psxhdrs/syslog/openlog.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
@@ -0,0 +1,35 @@
+/**
+ *  @file
+ *  @brief openlog() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ * 
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <syslog.h>
+
+int test(void);
+
+int test(void)
+{
+  const char *a = "/var/log/sample.log";
+  openlog( a,  LOG_PID,  LOG_USER);
+  return 0;
+}
Index: testsuites/psxtests/psxhdrs/syslog/setlogmask.c
===================================================================
--- testsuites/psxtests/psxhdrs/syslog/setlogmask.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
+++ testsuites/psxtests/psxhdrs/syslog/setlogmask.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
@@ -0,0 +1,33 @@
+/**
+ *  @file
+ *  @brief setlogmask() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ * 
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <syslog.h>
+
+int test(void);
+
+int test(void)
+{
+  return setlogmask(LOG_ALERT);
+}
Index: testsuites/psxtests/psxhdrs/syslog/syslog.c
===================================================================
--- testsuites/psxtests/psxhdrs/syslog/syslog.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
+++ testsuites/psxtests/psxhdrs/syslog/syslog.c	(revision 15d806b0f9304782d49217d00fcdcee667b36686)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief syslog() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ * 
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <syslog.h>
+
+int test(void);
+
+int test(void)
+{
+  syslog( LOG_USER, "A sample message" );
+  return 0;
+}
